Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # nth_channel_view_type< any_image_view< ViewTypes > > Struct Template Reference [nth_channel_view] `#include <image_view_factory.hpp>` List of all members. ## Detailed Description ### template<typename ViewTypes> struct boost::gil::nth_channel_view_type< any_image_view< ViewTypes > > Given a runtime source image view, returns the type of a runtime image view over a single channel of the source view.
## Public Types
typedef any_image_view< typename detail::views_get_nthchannel_type< ViewTypes >::type > | type
The documentation for this struct was generated from the following file: extension/dynamic_image/image_view_factory.hpp